> For the complete documentation index, see [llms.txt](https://xoops.gitbook.io/xmf-cookbook/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://xoops.gitbook.io/xmf-cookbook/reference/metagen/applying-data.md).

# Applying Data

## Metagen::assignTitle(*$title*);

Set the page *title* tag to *$title*.

## Metagen::assignKeywords(*$keywords*)

Set the meta *keywords* tag with using the array of keywords in *$keywords*.

## Metagen::assignDescription(*$description*)

Set the meta *description* tag to *$description*.

## Metagen::generateMetaTags(*$title*, *$body*)

Full form:

`Metagen::generateMetaTags(*$title*, *$body*, *$count*, *$minLength*, *$wordCount*, *$forceKeys*)`

Generate and assign title, keywords and description meta tags, taking the title from *$title*, extracting the keywords and description from *$body*.

The maximum number of key words is *$count*, which defaults to 20. Only words at least *$minlen*, which defaults to 4, will be considered.

No more than *$wordCount* words, default is 100, will be included in the description.

If specified, the array of words in *$forceKeys* will be used as keywords. Those words will count toward the *$count*.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://xoops.gitbook.io/xmf-cookbook/reference/metagen/applying-data.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
